new to galaxy

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

new to galaxy

Olivier CLAUDE

Hi Yvan and Marius,

 

Thanks to both of you almost everything is ok now.

I still experience some issues, but I’ll try some things on my own before asking questions.

 

Thank you Marius for the invite!

 

 

M Olivier CLAUDE- PhD Student

INSERM/UPMC UMRS ICAN 1166 – Equipe 2

Faculté de médecine Pitié-Salpêtrière

91, bld de l'Hôpital - 3ème étage - Porte 305

75013 Paris - FRANCE

 

 

 

 

 

De : Marius van den Beek [mailto:[hidden email]]
Envoyé : vendredi 30 octobre 2015 10:07
À : Yvan Le Bras <[hidden email]>
Cc : Olivier CLAUDE <[hidden email]>; galaxy-dev <[hidden email]>
Objet : Re: [galaxy-dev] new to galaxy

 

Hello Olivier,

 

Ivan is right. In addition, have a look here to a list of required packages that galaxy often assumes to be installed:

 

If you have more trouble, we're at the UPMC, 7th floor, Batiment B.

 

Cheers,

Marius

 

On 30 October 2015 at 09:42, Yvan Le Bras <[hidden email]> wrote:

Hi Olivier,

 

The first error message seems to indicate that Galaxy can't install the samtools version 0.1.11 dependency because you don't have zlib1g installed on your server. Maybe something like executing this command line on the Galaxy server will fix this issue :

 

sudo apt-get install zlib1g-dev

 

 

Best Regards,

 

Yvan

 


De: "Olivier CLAUDE" <[hidden email]>
À:
[hidden email]
Envoyé: Vendredi 30 Octobre 2015 08:42:53
Objet: [galaxy-dev] new to galaxy

 

 

 

Hello,

 

My name is olivier, I am a PhD student in biology.

I have to run bioinformatical prediction on protein sequences and i chose galaxy to do it.

I have some basic skills with linux, and I may have missed some steps.

 

My galaxy server is running for more than one week now; the installation was ok, but I am facing some problems to install some dependencies:

 

-          Samtools 0.1.18 returns errors everytime I try to install it:

“this tool dependency’s required tool dependency samtools version 0.1.18 has status error”

“In file included from bgzf.c:32:0: bgzf.h:33:18: fatal error: zlib.h: No such file or directory #include <zlib.h> ^ compilation terminated. make[2]: *** [bgzf.o] Error 1 make[1]: *** [lib-recur] Error 1 make: *** [all-recur] Error 1

-          Atlas 3.10.2 2 won’t install correctly neither : ” mkdir: cannot create directory ‘ATLAS/build’: No such file or directory”

-          Same goes for Numpy 1.7.1, samtools 1.2, tophat 1.4.0, rsem 1.1.17

 

Do you have any idea? Or tips?

 

Thank you and have a nice day,

 

M Olivier CLAUDE- PhD Student

INSERM/UPMC UMRS ICAN 1166 – Equipe 2

Faculté de médecine Pitié-Salpêtrière

91, bld de l'Hôpital - 3ème étage - Porte 305

75013 Paris - FRANCE

 

 

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  
https://lists.galaxyproject.org/

 

To search Galaxy mailing lists use the unified search at:
  
http://galaxyproject.org/search/mailinglists/

 

 

--

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Yvan Le Bras, PhD                                                                                                                   @Yvan2935                                                                                                                                              <°))))><

                  e-Biogenouest project                                                      http://www.e-biogenouest.org
                       CNRS UMR 6074 IRISA-INRIA, Campus de Beaulieu, 35042 Rennes Cedex
                                 tél.:  
<a href="tel:%2B33%20%280%29%202%2099%2084%2071%2079" target="_blank">+33 (0) 2 99 84 71 79     /      <a href="tel:%2B33%20%280%29%206.10.43.96.51" target="_blank">+33 (0) 6.10.43.96.51
                                                                 
[hidden email]

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
 
https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
 
http://galaxyproject.org/search/mailinglists/

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/